org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcMetaTablesResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcMetaTablesResult

All Implemented Interfaces:
  JdbcRawBinarylizable

    public class JdbcMetaTablesResult
    extends JdbcResult

JDBC tables metadata result.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`BATCH_EXEC`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<JdbcTableMeta>` `meta()`
`void` `readBinary(BinaryReaderExImpl reader, JdbcProtocolContext protoCtx)` Reads fields from provided reader.
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer, JdbcProtocolContext protoCtx)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`readResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer,
                            JdbcProtocolContext protoCtx)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcResult`
Parameters:
  `writer` - Binary object writer.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader,
                           JdbcProtocolContext protoCtx)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcResult`
Parameters:
  `reader` - Binary object reader.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### meta

    public List<JdbcTableMeta> meta()

Returns:
  Tables metadata.

#### toString

    public String toString()

Overrides:
  `toString` in class `JdbcResult`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022